<!DOCTYPE html>
<html>
    <body>
        <main>
            <h1>Error from REST web service </h1>
            <?php
            // Slim may return HTML in its error messages:
            //   make sure that HTML doesn't control the display
            $error_message = htmlspecialchars($error_message);
            ?>
            <p>Error message: <?php echo $error_message; ?></p>
            <p> <?php
                debug_print_backtrace();
                if ($e instanceof Exception) {
                    echo '<p> at line ' . $e->getLine() . ' in file ' . $e->getFile() . '</p>';
                    echo '<p> full backtrace:<br>';
                    echo str_replace("\n", '<br>', $e->getTraceAsString());
                    echo '</p>';
                }
                ?></p>
        </main>
    </body>
</html>
