<?php
// These functions expect exceptions to be handled by the caller

function get_products_by_category($category_id) {
    error_log("client get_products_by_category");
    global $httpClient;
    global $base_url;
    error_log('client get_prodsbycat: id = '. $category_id);
    $cat_name = get_category_name($category_id);
    error_log("client get_products_by_category: cat_name =". $cat_name);
    $products = rest_get_products_by_category($httpClient, $base_url, $cat_name);;
    //echo 'get_products products =' . print_r($products);  
    return $products;
}
function get_product($product_id, $category_id) {
    error_log("client get_product");
    global $httpClient;
    global $base_url;
    $categoryName = get_category_name($category_id);
    $product = rest_get_product($httpClient, $base_url,$product_id, $categoryName);
    return $product;
}

function delete_product($product_id, $category_id) {
    error_log("client delete_product");
    global $httpClient;
    global $base_url;
    $categoryName = get_category_name($category_id);
    rest_delete_product($httpClient, $base_url,$product_id, $categoryName);
}
// Now returns new product id, in case caller interested
function add_product($category_id, $code, $name, $price) {
    error_log("client add_product");
    global $httpClient;
    global $base_url;
    $categoryName = get_category_name($category_id);
    $product = array("categoryID" => $category_id, "productCode" => $code,
        "productName" => $name, "listPrice" => $price);
    $url = rest_post_product($httpClient, $base_url, $product, $categoryName);
    error_log("client add_product returned location url $url");
    $parts = explode('/', $url);
    // error_log("client add_product parts" . print_r($parts, true));
    $id = array_pop($parts);  // number on end of url
    // error_log("client add_product returning new id $id");
    return (int)$id;
}
